package body Merge_Types is

   function "<" (L, R : Merge_Type) return Boolean is
   begin
      
      if L.I < R.I then
         return True;
      end if;
      
      if L.I > R.I then
         return False;
      end if;
      
      return L.C < R.C;

   end "<";

end Merge_Types;
